﻿using ProjectSchedule.Entities.Enums;

namespace ProjectSchedule.Entities;

public class CompilingSchedule
{
    public int Id { get; private set; }

    public int EducatorId { get; private set; }

    public int DisciplineId { get; private set; }

    public int GroupStudentsId { get; private set; }

    public int AudienceId { get; private set; }

    public DateTime DateDay { get; private set; }

    public TypeWeek TypeWeek { get; private set; }

    public int NumberDay { get; private set; }

    public int NumberPair { get; private set; }

    public TypeActivity TypeActivity { get; private set; }

    public static CompilingSchedule CreateOperation(int id, int educatorId, int disciplineId, int groupStudentsId, int audienceId, 
        DateTime dateDay, TypeWeek typeWeek, int numberDay, int numberPair, TypeActivity typeActivity)
    {
        return new CompilingSchedule
        {
            Id = id,
            EducatorId = educatorId,
            DisciplineId = disciplineId,
            GroupStudentsId = groupStudentsId,
            AudienceId = audienceId,
            DateDay = dateDay,
            TypeWeek = typeWeek,
            NumberDay = numberDay,
            NumberPair = numberPair,
            TypeActivity = typeActivity
        };
    }
}