﻿namespace ProjectSchedule.Entities;

public class CurriculumSupplement
{
    public int Id { get; private set; }

    public int GroupStudentsId { get; private set; }

    public string NameCurriculum { get; private set; } = string.Empty;
    
    public string Semester { get; private set; } = string.Empty;

    public DateTime DateAdoptionPlan { get; private set; }

    public IEnumerable<DisciplineCurriculumSupplement> DisciplineCurriculumSupplements { get; private set; } = [];

    public static CurriculumSupplement CreateOperation(int id, int groupStudentsId, string nameCurriculum,
        string semester, DateTime dateAdoptionPlan, IEnumerable<DisciplineCurriculumSupplement> disciplineCurriculumSupplements)
    {
        return new CurriculumSupplement
        {
            Id = id,
            GroupStudentsId = groupStudentsId,
            NameCurriculum = nameCurriculum ?? string.Empty,
            Semester = semester ?? string.Empty,
            DateAdoptionPlan = dateAdoptionPlan,
            DisciplineCurriculumSupplements = disciplineCurriculumSupplements
        };
    }
}