﻿using ProjectSchedule.Repositories;
using Unity;

namespace ProjectSchedule.Forms
{
    public partial class FormCompilingSchedules : Form
    {
        private readonly IUnityContainer _container;

        private readonly ICompilingScheduleRepository _сompilingScheduleRepository;

        public FormCompilingSchedules(IUnityContainer container, ICompilingScheduleRepository сompilingScheduleRepository)
        {
            InitializeComponent();
            _container = container ??
                throw new ArgumentNullException(nameof(container));
            _сompilingScheduleRepository = сompilingScheduleRepository ??
                throw new ArgumentNullException(nameof(сompilingScheduleRepository));
        }

        private void FormCompilingSchedules_Load(object sender, EventArgs e)
        {
            try
            {
                LoadList();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при загрузке", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void ButtonAdd_Click(object sender, EventArgs e)
        {
            try
            {
                _container.Resolve<FormCompilingSchedule>().ShowDialog();
                LoadList();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "Ошибка при добавлении", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void LoadList() => dataGridViewData.DataSource = _сompilingScheduleRepository.ReadCompilingSchedules();
    }
}